#
# Cookbook Name:: snmp
# Recipe:: extendbind 
#
# Copyright 2012, Eric G. Wolfe
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

node.set['snmp']['is_dnsserver'] = true

if node['snmp']['is_dnsserver']
  include_recipe "perl"
  %w{ version Getopt::Declare }.each do |pm|
    cpan_module pm do
      force true
    end
  end

  cookbook_file "/usr/local/bin/snmp_rndc_stats.pl" do
    mode 0755
    owner "root"
    group "root"
    source node['snmp']['rndc_stats_script']
  end
end

include_recipe "snmp::default"
